libxkbcommon 1.13.2 Library implementing the XKB specification for parsing keyboard descriptions and handling keyboard state

Loading...
Searching...
No Matches
Macros
xkbcommon-names.h File Reference
This graph shows which files directly or indirectly include this file:

## Macros
#define | XKB_MOD_NAME_SHIFT "Shift"
#define | XKB_MOD_NAME_CAPS "Lock"
#define | XKB_MOD_NAME_CTRL "Control"
#define | XKB_MOD_NAME_MOD1 "Mod1"
#define | XKB_MOD_NAME_MOD2 "Mod2"
#define | XKB_MOD_NAME_MOD3 "Mod3"
#define | XKB_MOD_NAME_MOD4 "Mod4"
#define | XKB_MOD_NAME_MOD5 "Mod5"
#define | XKB_VMOD_NAME_ALT "Alt"
#define | XKB_VMOD_NAME_HYPER "Hyper"
#define | XKB_VMOD_NAME_LEVEL3 "LevelThree"
#define | XKB_VMOD_NAME_LEVEL5 "LevelFive"
#define | XKB_VMOD_NAME_META "Meta"
#define | XKB_VMOD_NAME_NUM "NumLock"
#define | XKB_VMOD_NAME_SCROLL "ScrollLock"
#define | XKB_VMOD_NAME_SUPER "Super"
#define | XKB_MOD_NAME_ALT "Mod1"
#define | XKB_MOD_NAME_LOGO "Mod4"
#define | XKB_MOD_NAME_NUM "Mod2"
#define | XKB_LED_NAME_NUM "Num Lock"
#define | XKB_LED_NAME_CAPS "Caps Lock"
#define | XKB_LED_NAME_SCROLL "Scroll Lock"
#define | XKB_LED_NAME_COMPOSE "Compose"
#define | XKB_LED_NAME_KANA "Kana"

## Detailed Description

Predefined names for common modifiers and LEDs.